﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Docs.Samples;

namespace TestProject.Controllers
{
    /// <summary>
    /// 테스트 컨트롤러
    /// </summary>
    [ApiController]
    [Route("api/[controller]")]
    public class TestController : ControllerBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        // GET /api/test/3
        #region 구하기 - Get(id)

        /// <summary>
        /// 구하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>액션 결과</returns>
        [HttpGet("{id:customName}")]
        public IActionResult Get(string id)
        {
            return ControllerContext.MyDisplayRouteInfo(id);
        }

        #endregion
        // GET /api/test/my/3
        #region 구하기 -  Get(id)

        /// <summary>
        /// 구하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>액션 결과</returns>
        [HttpGet("my/{id:customName}")]
        public IActionResult Get(int id)
        {
            return ControllerContext.MyDisplayRouteInfo(id);
        }

        #endregion
    }
}